NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.MeshSurfaceBuilder Class Reference

Mesh Surface Builder class. More...

Inheritance diagram for NXOpen.Features.MeshSurfaceBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  ConstraintDirection { None, Isoparametric, Normal }
 End face constraints direction. More...
 
enum  ConstraintType { None, Tangent, Curvature }
 End face constraints types. More...
 

Public Member Functions

unsafe void BuildProfileFromSections (bool conehead, NXOpen.MeshProfileString.Type profileStringType, NXOpen.MeshParameterData.FeatureType skinType, NXOpen.MeshProfileString.SelectedPoint stringPointType, NXOpen.Section[] sections, bool editInsertProfile, NXOpen.MeshProfileString profile)
 Creates mesh surface profile string. More...
 
unsafe void GetAngleAlignmentPoints (out NXOpen.Point3d point1, out NXOpen.Point3d point2)
 Get angle alignment points More...
 
unsafe NXOpen.Vector3d GetDistanceAlignmentVector ()
 Get distance alignment vector More...
 
unsafe void GetFaceConstraintCollectors (int nSides, out int[] facesCons, int numCollectors, out NXOpen.ScCollector[] collectors, int numConsTypes, out NXOpen.Features.MeshSurfaceBuilder.ConstraintType[] consTypes)
 Get faces constraints collectors for through curves and curves mesh types surfaces. More...
 
unsafe
NXOpen.Features.MeshSurfaceBuilder.ConstraintType[] 
GetFaceConstraintTypes (int constraintSize)
 Get end constraints types. More...
 
unsafe NXOpen.MeshProfileString GetProfile (int index)
 Get mesh profile string with provided index. More...
 
unsafe void GetProfilePointAlignment (int stringIndex, int arrayLength, out int[] alignIndex, out double[] alignParams)
 Get profile string point alignment info. More...
 
unsafe double[] GetTolerances (int tolLength)
 Get tolerances. More...
 
unsafe string[] GetToleranceString (int tolStrLength)
 Get tolerances strings. More...
 
unsafe void InsertProfileString (int profileIndex, NXOpen.MeshProfileString.InsertOrder order, int stringIndex)
 Insert a string (string_index, with order) into a profile (profile_index). More...
 
unsafe NXOpen.MeshParameterData NewParametersData ()
 Create a mesh parameters transient object data. More...
 
unsafe NXOpen.MeshProfileString NewProfile ()
 Construct a new mesh profile string transient object. More...
 
unsafe NXOpen.SurfaceRebuildData NewRebuildData ()
 Allocate memory for Mesh type surface rebuild data. More...
 
unsafe void RemovePointsAlignment ()
 Remove points alignment information. More...
 
unsafe void RemoveProfileString (int profileIndex, int stringIndex)
 Remove a string (string_index) from a profile (profile_index) More...
 
unsafe void RemoveSpineAlignment ()
 Remove spine alignment. More...
 
unsafe void ReorderProfileStringCurves (int stringIndex, NXOpen.Curve stringStartCurve)
 Reorder profile string curves. More...
 
unsafe void RestorePointsAlignment ()
 Restore the last removed points alignment information if there is one. More...
 
unsafe void SetAngleAlignmentPoints (NXOpen.Point3d point1, NXOpen.Point3d point2)
 Set angle alignment points. More...
 
unsafe void SetDistanceAlignmentVector (NXOpen.Vector3d vector)
 Set distance alignment vector More...
 
unsafe void SetFaceConstraintCollectors (int[] facesCons, NXOpen.ScCollector[] collectors, NXOpen.Features.MeshSurfaceBuilder.ConstraintType[] consTypes)
 Set faces constraints collectors for through curves and curves mesh types surfaces. More...
 
unsafe void SetFaceConstraintTypes (NXOpen.Features.MeshSurfaceBuilder.ConstraintType[] constraintTypes)
 Set end constraints types. More...
 
unsafe void SetProfilePointAlignment (int stringIndex, int[] alignIndex, double[] alignParams)
 Set profile string alignment info. More...
 
unsafe void SetTolerances (double[] tol)
 Set tolerances for mesh type surfaces. More...
 
unsafe void SetToleranceString (string[] tolString)
 Set tolerances strings for mesh type surface. More...
 
unsafe void ValidateFeatureParameters ()
 Validate the new parameters for mesh surface editing. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Features.MeshSurfaceBuilder.ConstraintDirection 
FaceConstraintDirection [get, set]
 Returns or sets More...
 
unsafe
NXOpen.MeshParameterData.FeatureType 
FeatureType [get, set]
 Returns or sets More...
 
unsafe bool NormalToEndSections [get, set]
 Returns or sets the normal to end sections for Through Curves surface. More...
 
unsafe NXOpen.MeshParameterData ParametersData [get, set]
 Returns or sets More...
 
unsafe NXOpen.SurfaceRebuildData RebuildData [get, set]
 Returns or sets More...
 
unsafe bool SimpleConstruction [get, set]
 Returns or sets More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Mesh Surface Builder class.

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateMeshSurfaceBuilder

Created in NX4.0.0

Member Enumeration Documentation

End face constraints direction.

Enumerator
None 

Not specified

Isoparametric 

Isoparametric

Normal 

Normal

End face constraints types.

Enumerator
None 

No constraint

Tangent 

Tangent

Curvature 

Curvature

Member Function Documentation

unsafe void NXOpen.Features.MeshSurfaceBuilder.BuildProfileFromSections ( bool  conehead,
NXOpen.MeshProfileString.Type  profileStringType,
NXOpen.MeshParameterData.FeatureType  skinType,
NXOpen.MeshProfileString.SelectedPoint  stringPointType,
NXOpen.Section[]  sections,
bool  editInsertProfile,
NXOpen.MeshProfileString  profile 
)
inline

Creates mesh surface profile string.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
coneheadDisplay conehead?
profileStringTypeMesh profile string type
skinTypeMesh surface type
stringPointTypeProfile string point type
sectionsSections
editInsertProfileFlag to indicate if this is temporary profile to inserting new string purpose only.
profileMesh profile string
unsafe void NXOpen.Features.MeshSurfaceBuilder.GetAngleAlignmentPoints ( out NXOpen.Point3d  point1,
out NXOpen.Point3d  point2 
)
inline

Get angle alignment points

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
point1Point 1
point2Point 2
unsafe NXOpen.Vector3d NXOpen.Features.MeshSurfaceBuilder.GetDistanceAlignmentVector ( )
inline

Get distance alignment vector

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Returns
Vector
unsafe void NXOpen.Features.MeshSurfaceBuilder.GetFaceConstraintCollectors ( int  nSides,
out int[]  facesCons,
int  numCollectors,
out NXOpen.ScCollector[]  collectors,
int  numConsTypes,
out NXOpen.Features.MeshSurfaceBuilder.ConstraintType[]  consTypes 
)
inline

Get faces constraints collectors for through curves and curves mesh types surfaces.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
nSides
facesConsNumber of faces on each side
numCollectors
collectorsConstraints collectors.
numConsTypes
consTypestype on each side.
unsafe NXOpen.Features.MeshSurfaceBuilder.ConstraintType [] NXOpen.Features.MeshSurfaceBuilder.GetFaceConstraintTypes ( int  constraintSize)
inline

Get end constraints types.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
constraintSize
Returns
Constraint types
unsafe NXOpen.MeshProfileString NXOpen.Features.MeshSurfaceBuilder.GetProfile ( int  index)
inline

Get mesh profile string with provided index.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
indexProfile index.
Returns
Requested profile data.
unsafe void NXOpen.Features.MeshSurfaceBuilder.GetProfilePointAlignment ( int  stringIndex,
int  arrayLength,
out int[]  alignIndex,
out double[]  alignParams 
)
inline

Get profile string point alignment info.

Given a profile string, get alignment point parameters on segments indexed by align_index along the profile string.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
stringIndexstring index in profile strings
arrayLength
alignIndexAlignment indices
alignParamsAlignment parameters
unsafe double [] NXOpen.Features.MeshSurfaceBuilder.GetTolerances ( int  tolLength)
inline

Get tolerances.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
tolLength
Returns
unsafe string [] NXOpen.Features.MeshSurfaceBuilder.GetToleranceString ( int  tolStrLength)
inline

Get tolerances strings.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
tolStrLength
Returns
unsafe void NXOpen.Features.MeshSurfaceBuilder.InsertProfileString ( int  profileIndex,
NXOpen.MeshProfileString.InsertOrder  order,
int  stringIndex 
)
inline

Insert a string (string_index, with order) into a profile (profile_index).

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
profileIndexmesh profile string index
orderbefore or after
stringIndexString index in mesh profile string
unsafe NXOpen.MeshParameterData NXOpen.Features.MeshSurfaceBuilder.NewParametersData ( )
inline

Create a mesh parameters transient object data.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Returns
Allocated rebuild data.
unsafe NXOpen.MeshProfileString NXOpen.Features.MeshSurfaceBuilder.NewProfile ( )
inline

Construct a new mesh profile string transient object.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Returns
New mesh profile string.
unsafe NXOpen.SurfaceRebuildData NXOpen.Features.MeshSurfaceBuilder.NewRebuildData ( )
inline

Allocate memory for Mesh type surface rebuild data.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Returns
Allocated rebuild data.
unsafe void NXOpen.Features.MeshSurfaceBuilder.RemovePointsAlignment ( )
inline

Remove points alignment information.

Remove alignment can be restore by calling Features.MeshSurfaceBuilder.RestorePointsAlignment

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe void NXOpen.Features.MeshSurfaceBuilder.RemoveProfileString ( int  profileIndex,
int  stringIndex 
)
inline

Remove a string (string_index) from a profile (profile_index)

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
profileIndexmesh profile string index
stringIndexString index in mesh profile string
unsafe void NXOpen.Features.MeshSurfaceBuilder.RemoveSpineAlignment ( )
inline

Remove spine alignment.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe void NXOpen.Features.MeshSurfaceBuilder.ReorderProfileStringCurves ( int  stringIndex,
NXOpen.Curve  stringStartCurve 
)
inline

Reorder profile string curves.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
stringIndexProfile string index.
stringStartCurveNew start curve.
unsafe void NXOpen.Features.MeshSurfaceBuilder.RestorePointsAlignment ( )
inline

Restore the last removed points alignment information if there is one.

Once restored, the saved alignment information will no logner be available.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe void NXOpen.Features.MeshSurfaceBuilder.SetAngleAlignmentPoints ( NXOpen.Point3d  point1,
NXOpen.Point3d  point2 
)
inline

Set angle alignment points.

Points will be used to evaluate the alignment angle.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
point1Point 1
point2Point 2
unsafe void NXOpen.Features.MeshSurfaceBuilder.SetDistanceAlignmentVector ( NXOpen.Vector3d  vector)
inline

Set distance alignment vector

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
vectorVector
unsafe void NXOpen.Features.MeshSurfaceBuilder.SetFaceConstraintCollectors ( int[]  facesCons,
NXOpen.ScCollector[]  collectors,
NXOpen.Features.MeshSurfaceBuilder.ConstraintType[]  consTypes 
)
inline

Set faces constraints collectors for through curves and curves mesh types surfaces.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
facesConsNumber of faces on all sides
collectorsConstraints collectors.
consTypestype on each side.
unsafe void NXOpen.Features.MeshSurfaceBuilder.SetFaceConstraintTypes ( NXOpen.Features.MeshSurfaceBuilder.ConstraintType[]  constraintTypes)
inline

Set end constraints types.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
constraintTypesConstraint types
unsafe void NXOpen.Features.MeshSurfaceBuilder.SetProfilePointAlignment ( int  stringIndex,
int[]  alignIndex,
double[]  alignParams 
)
inline

Set profile string alignment info.

For each profile string, user needs to spectify the point alignment parameters on segments indexed by align_index along the profile string.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
stringIndexstring index in profile strings
alignIndexAlignment indices
alignParamsAlignment parameters (normalized)
unsafe void NXOpen.Features.MeshSurfaceBuilder.SetTolerances ( double[]  tol)
inline

Set tolerances for mesh type surfaces.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
tolTolerances
unsafe void NXOpen.Features.MeshSurfaceBuilder.SetToleranceString ( string[]  tolString)
inline

Set tolerances strings for mesh type surface.

The strings much match the values.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
tolStringTolerances
unsafe void NXOpen.Features.MeshSurfaceBuilder.ValidateFeatureParameters ( )
inline

Validate the new parameters for mesh surface editing.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Property Documentation

unsafe NXOpen.Features.MeshSurfaceBuilder.ConstraintDirection NXOpen.Features.MeshSurfaceBuilder.FaceConstraintDirection
getset

Returns or sets

Created in NX4.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.MeshParameterData.FeatureType NXOpen.Features.MeshSurfaceBuilder.FeatureType
getset

Returns or sets

Created in NX4.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe bool NXOpen.Features.MeshSurfaceBuilder.NormalToEndSections
getset

Returns or sets the normal to end sections for Through Curves surface.

Created in NX5.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.MeshParameterData NXOpen.Features.MeshSurfaceBuilder.ParametersData
getset

Returns or sets

Created in NX4.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.SurfaceRebuildData NXOpen.Features.MeshSurfaceBuilder.RebuildData
getset

Returns or sets

Created in NX4.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe bool NXOpen.Features.MeshSurfaceBuilder.SimpleConstruction
getset

Returns or sets

Created in NX4.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.